<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
  define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
  session_start();
  header( 'Content-type: text/html; charset=windows-1251' );
  include_once ROOT_DIR . '/engine/config.php';
  include_once ROOT_DIR . '/engine/function.php';
} else {
  if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
  #Генерирует ордер ид для счета оплаты
  $bt_order1 = pincode( 12 );
  $bt_order2 = pincode( 7 );
  $bt_order3 = pincode( 5 );
  $bt_order = ( $bt_order1 + $bt_order2 + $bt_order3 ); 
  ?>
	<script type="text/javascript">
	  $(document).ready(function(){
		$('.help_input').tipTip({defaultPosition:'right'});
		$('#chainColor').styler({'width':290, 'maxHeight':160});
		$('#quantity').keyup(function () {
		  PlanChange();
		});
	  });

	  function addchain() {
		$('#error_title_form1').fadeOut();
		$('#error_title_form3').fadeOut();
		$('.inputStart_title').css({border: '1px solid #000'});
		$('.inputStart_url').css({border: '1px solid #000'});
		
		$.ajax({
		  type: 'POST',
		  url: 'ajax.php?func=addchain_nouser',
		  data: ({quantity: $('#quantity').val(), bt_order: <?=$bt_order?>, title: $('#title').val(), url: $('#url').val(), chainColor: $('#chainColor').val()}),
		  dataType: 'html',
		  beforeSend: function() {
			$('.pajax').css({display:'block'});
		  },
		  success: function(data) {
			if(data == 1) {
			  location.href = '/adv_order=<?=$bt_order?>';	
			} else 
			if(data == 2) {
			  $('#error_title_form1').fadeIn();
			  $('.div_form_eror_title').fadeIn().html('Вы не указали заголовок!');
			  $('.inputStart_title').css({border: '1px solid #E85854'});
			  $('.pajax').css({display:'none'});
			} else 
			if(data == 3) {
			  $('#error_title_form3').fadeIn();
			  $('.div_form_eror_title').fadeIn().html('Вы не указали url!');
			  $('.inputStart_url').css({border: '1px solid #E85854'});
			  $('.pajax').css({display:'none'});
			} else {
			  $('.erroralert').fadeIn(500).html(data);
			  setTimeout(function() {
				$('.erroralert').fadeOut(500).html('&nbsp;');
			  }, 4000);
			  $('.pajax').css({display:'none'});
			}
		  }
		});
		return false;
	  }

	  function PlanChange() {
		if ($('#chainColor').val() != '1') {
		  var lprice = 0;
          lprice = <?=$config['chain']?>;
          lprice *= $('#quantity').val();
		  $('#summa').html(number_format(lprice, 3, '.', ''));
		  $('#summa2').html(number_format(<?=$config['chain']?>, 3, '.', ''));
		} else {
		  var lprice = 0;
          lprice = <?=$config['chain'] + $config['chainColorPrice']?>;
          lprice *= $('#quantity').val();
		  $('#summa').html(number_format(lprice, 3, '.', ''));
		  $('#summa2').html(number_format(<?=$config['chain'] + $config['chainColorPrice']?>, 3, '.', ''));
		}
	  }

	  function number_format(number, decimals, dec_point, thousands_sep) {
		var i, j, kw, kd, km;
		if (isNaN(decimals = Math.abs(decimals))) { decimals = 2; }
		if (dec_point == undefined) { dec_point = ","; }
		if (thousands_sep == undefined) { thousands_sep = "."; }
		i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
		if ((j = i.length) > 3) { j = j % 3; } else { j = 0; }
		km = (j ? i.substr(0, j) + thousands_sep : "");
		kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
		kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
		return km + kw + kd;
	  }
	</script>
	<? include_once ROOT_DIR . '/modules/panel_manager/section_advertising.php'; ?>
	<div class="content_bar">
	  <article class="postBox">
		<img src="/theme/images/help_form.png" class="support-hover-two help_form " />
		<!--Блок всплывающей подсказки (начало)-->
		<span class="tip-block">
		  <span class="tip-two">
			Заполните форму, и нажмите «Создать компанию» если все поля заполнены верно, вас перенаправит на страницу управления площадкой.
		  </span>
		</span>
		<!--Блок всплывающей подсказки (конец)-->
		<h2><a>Рекламная цепочка</a></h2><br>
		<div class="textPreview" style="margin-top: -20px;">
		  <p>Это максимально качественная аудитория. Пользователь не получает вознаграждения за клик по вашей рекламе. Рекламная цепочка расположена в самом верху, на всех страницах <?=$config_site['sitename']?>. Ваша реклама может находиться в ротаторе, пока на балансе рекламной площадки не станет меньше <b><?=$config['chain']?></b> <?=$config['valutaname']?> Вы платите только за фактический переход по ссылке.</p>
		</div>
		<div class="div_form">
		  <table class=" table_form">
			<tr>
			  <td class="td_form" >Краткое описание блока:</td>
			  <td class="" >
				<input class="inputStart_title" type="text" placeholder="укажите краткий заголовок рекламной кампании" id="title" maxlength="55" />
				<div style="display:none;" id="error_title_form1">
				  <div class="eror_form"></div>
				  <div class="div_form_eror_title"></div>
				</div>
			  </td>
			</tr>
			<tr>
			  <td class="td_form" >URL сайта:</td>
			  <td class="" >
				<input class="inputStart_url" type="text" placeholder="обязательно укажите ссылку начиная с http:/https:" id="url" />
				<div style="display:none;" id="error_title_form3">
				  <div class="eror_form"></div>
				  <div class="div_form_eror_title">Внимание, ссылка указанна не верно!</div>
				</div>
			  </td>
			</tr>
			<tr>
			  <td class="td_form">Выделить цветом:</td>
			  <td class="">
				<select id="chainColor" onchange="PlanChange(); return false;">
				  <option value="8">-- Выберите --</option>
				  <option value="0">Нет</option>
				  <option value="1">Да&nbsp;&nbsp;(+ <?=$config['chainColorPrice'] ?> <?=$config['valutaname']?>)</option>
				</select>
			  </td>
			</tr>
			<tr >
			  <td class="td_form" >Количество переходов:</td>
			  <td class="" >
				<input style="width: 100px;" type="text" placeholder="минимум 10" id="quantity" maxlength="15" value="0" onchange="PlanChange(); return false;"/>
			  </td>
			</tr>
			<tr >
			  <td class="td_form">Стоимость заказа:</td>
			  <td class=""><div class="formPrice"><span id="summa">0.000</span> <?=$config['valutaname']?></div> (стоимость одного перехода <span id="summa2"><?=$config['chain']?></span> <?=$config['valutaname']?>)</td>
			</tr>
			<tr>
			  <td class="td_form"><img src="/theme/images/preload.gif" class="pajax" style="display: none;"/></td>
			  <td class="">
				<br><div class="more-link"><a href="#" onclick="addchain(); return false;">Создать компанию</a></div><br><br>
			  </td>
			</tr>
			<tr>
			  <td class="td_form"></td>
			  <td class="td_form" colspan="2"><div class="erroralert" ></div></td>
			</tr>
		  </table>
		</div>
		<br>
	  </article>
	</div>
  <?
} else {
?>
	<script type="text/javascript">
	  $(document).ready(function(){
		$('.help_input').tipTip({defaultPosition:'right'});
		$('#chainColor').styler({'width':290, 'maxHeight':160});
	  });

	  function addchain() {
		$('#error_title_form1').fadeOut();
		$('#error_title_form3').fadeOut();
		$('.inputStart_title').css({border: '1px solid #000'});
		$('.inputStart_url').css({border: '1px solid #000'});
		
		$.ajax({
		  type: 'POST',
		  url: 'ajax.php?func=addchain',
		  data: ({title: $('#title').val(), url: $('#url').val(), chainColor: $('#chainColor').val()}),
		  dataType: 'html',
		  beforeSend: function() {
			$('.pajax').css({display:'block'});
		  },
		  success: function(data) {
			if(data == 1) {
			  $('.pajax').css({display:'none'});
			  $('.table_form').html('<div style="padding:10px; text-align:center; width:90%; margin:0 auto;">Спасибо! Ваша реклама успешно добавлена.<br />Прежде чем рекламная площадка будет размещена на сайте,<br />Вам необходимо пополнить счет рекламной площадки и включить ее.<br /><br /><div class="more-link"><a href="/mchain" >Управление рекламой</a></div><br></div>');
			} else 
			if(data == 2) {
			  $('#error_title_form1').fadeIn();
			  $('.div_form_eror_title').fadeIn().html('Вы не указали заголовок!');
			  $('.inputStart_title').css({border: '1px solid #E85854'});
			  $('.pajax').css({display:'none'});
			} else 
			if(data == 3) {
			  $('#error_title_form3').fadeIn();
			  $('.div_form_eror_title').fadeIn().html('Вы не указали url!');
			  $('.inputStart_url').css({border: '1px solid #E85854'});
			  $('.pajax').css({display:'none'});
			} else {
			  $('.erroralert').fadeIn(500).html(data);
			  setTimeout(function() {
				$('.erroralert').fadeOut(500).html('&nbsp;');
			  }, 4000);
			  $('.pajax').css({display:'none'});
			}
		  }
		});
		return false;
	  }

	  function PlanChange() {
		if ($('#chainColor').val() != '1') {
		  $('#summa').html(number_format(<?=$config['chain']?>, 3, '.', ''));
		} else {
		  $('#summa').html(number_format(<?=$config['chain'] + $config['chainColorPrice']?>, 3, '.', ''));
		}
	  }

	  function number_format(number, decimals, dec_point, thousands_sep) {
		var i, j, kw, kd, km;
		if (isNaN(decimals = Math.abs(decimals))) { decimals = 2; }
		if (dec_point == undefined) { dec_point = ","; }
		if (thousands_sep == undefined) { thousands_sep = "."; }
		i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
		if ((j = i.length) > 3) { j = j % 3; } else { j = 0; }
		km = (j ? i.substr(0, j) + thousands_sep : "");
		kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
		kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
		return km + kw + kd;
	  }
	</script>
    <? include_once ROOT_DIR . '/modules/panel_manager/section_advertising.php'; ?>
	<div class="content_bar">
	  <article class="postBox">
		<img src="/theme/images/help_form.png" class="support-hover-two help_form " />
		<!--Блок всплывающей подсказки (начало)-->
		<span class="tip-block">
		  <span class="tip-two">
			Заполните форму, и нажмите «Создать компанию» если все поля заполнены верно, вас перенаправит на страницу управления площадкой.
		  </span>
		</span>
		<!--Блок всплывающей подсказки (конец)-->
		<h2><a>Рекламная цепочка</a></h2><br>
		<div class="textPreview" style="margin-top: -20px;">
		  <p>Это максимально качественная аудитория. Пользователь не получает вознаграждения за клик по вашей рекламе. Рекламная цепочка расположена в самом верху, на всех страницах <?=$config_site['sitename']?>. Ваша реклама может находиться в ротаторе, пока на балансе рекламной площадки не станет меньше <b><?=$config['chain']?></b> <?=$config['valutaname']?> Вы платите только за фактический переход по ссылке.</p>
		</div>
		<div class="div_form">
		  <table class=" table_form">
			<tr>
			  <td class="td_form" >Краткое описание блока:</td>
			  <td class="" >
				<input class="inputStart_title" type="text" placeholder="укажите краткий заголовок рекламной кампании" id="title" maxlength="55" />
				<div style="display:none;" id="error_title_form1">
				  <div class="eror_form"></div>
				  <div class="div_form_eror_title"></div>
				</div>
			  </td>
			</tr>
			<tr>
			  <td class="td_form" >URL сайта:</td>
			  <td class="" >
				<input class="inputStart_url" type="text" placeholder="обязательно укажите ссылку начиная с http:/https:" id="url" />
				<div style="display:none;" id="error_title_form3">
				  <div class="eror_form"></div>
				  <div class="div_form_eror_title">Внимание, ссылка указанна не верно!</div>
				</div>
			  </td>
			</tr>
			<tr>
			  <td class="td_form">Выделить цветом:</td>
			  <td class="">
				<select id="chainColor" onchange="PlanChange(); return false;">
				  <option value="8">-- Выберите --</option>
				  <option value="0">Нет</option>
				  <option value="1">Да&nbsp;&nbsp;(+ <?=$config['chainColorPrice'] ?> <?=$config['valutaname']?>)</option>
				</select>
			  </td>
			</tr>
			<tr >
			  <td class="td_form">Стоимость одного визита:</td>
			  <td class=""><div class="formPrice"><span id="summa"><?=$config['chain']?></span> <?=$config['valutaname']?></div></td>
			</tr>
			<tr>
			  <td class="td_form"><img src="/theme/images/preload.gif" class="pajax" style="display: none;"/></td>
			  <td class="">
				<br><div class="more-link"><a href="#" onclick="addchain(); return false;">Создать компанию</a></div><br><br>
			  </td>
			</tr>
			<tr>
			  <td class="td_form"></td>
			  <td class="td_form" colspan="2"><div class="erroralert" ></div></td>
			</tr>
		  </table>
		</div>
		<br>
	  </article>
	</div>
  <? 
} 
?>